# Uses of Interface
com.sun.source.tree.UnaryTree

Packages that use UnaryTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of UnaryTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type UnaryTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitUnary​(UnaryTree node, P p)`
Visits a UnaryTree node.

## Uses of UnaryTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type UnaryTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitUnary​(UnaryTree node, P p)`
Visits a UnaryTree node.
`R`
TreeScanner.`visitUnary​(UnaryTree node, P p)`
Visits a UnaryTree node.